Name: octave-miscellaneous
Version: 1.1
Release: alt1.1
Summary: Miscellaneous functions contributed to Octave
Packager: Paul Wolneykien <manowar@altlinux.ru>

Group: Sciences/Mathematics
License: GPLv2+ and Public Domain
Url: http://octave.sourceforge.net/

Source0: miscellaneous.tar.gz
Source1: specfun.tar.gz
Source2: struct.tar.gz

Requires: %name-base

# Automatically added by buildreq on Mon Apr 25 2011
# optimized out: libgfortran-devel libgotoblas2-devel libhdf5-6-seq libstdc++-devel libtinfo-devel octave zlib-devel
BuildRequires: gcc-c++ libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel

%description
Octave-forge is a community project for collaborative development of
Octave extensions. This is meta-package for auxiliarry tasks.

%package base
Group: Sciences/Mathematics
Provides: octave(miscellaneous) = 1.0.11
Requires: octave >= 3.2.4-alt2.2
Summary: Miscellaneous functions contributed to Octave

%description base
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include miscellaneous
tools including waitbar, xml tools, etc.

%package specfun
Group: Sciences/Mathematics
Provides: octave(specfun) = 1.0.9
Requires: octave >= 3.2.4-alt2.2
Summary: Special functions including ellipitic functions, etc

%description specfun
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include special
functions including ellipitic functions, etc.

%package struct
Group: Sciences/Mathematics
Provides: octave(struct) = 1.0.9
Requires: octave >= 3.2.4-alt2.2
Summary: Additional Structure manipulations functions

%description struct
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include additional
structure manipulations functions.

%prep
%setup -T -c %name-%version

%build
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE0"
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE1"
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE2"

%install
mkdir -p %buildroot%_datadir/octave/packages
mkdir -p %buildroot%_libdir/octave/packages
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local miscellaneous-1.0.11.tar.gz"
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local specfun-1.0.9.tar.gz"
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local struct-1.0.9.tar.gz"

%files base
%_datadir/octave/packages/miscellaneous-1.0.11
%_libdir/octave/packages/miscellaneous-1.0.11

%files specfun
%_datadir/octave/packages/specfun-1.0.9
%_libdir/octave/packages/specfun-1.0.9

%files struct
%_datadir/octave/packages/struct-1.0.9
%_libdir/octave/packages/struct-1.0.9

%changelog
* Wed Apr 27 2011 Paul Wolneykien <manowar@altlinux.ru> 1.1-alt1.1
- Rebuild with the new version of Octave (3.4.0).

* Mon Apr 25 2011 Paul Wolneykien <manowar@altlinux.ru> 1.1-alt1
- miscellaneous v1.0.11
- specfun v1.0.9
- struct v1.0.9
- Remove post scripts: rely on a filetrigger (starting from Octave v3.2.4-alt2.2)

* Mon Apr 18 2011 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt3
- Pre-require Octave in order to run post scripts properly.

* Wed May 20 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2
- Initial build for ALTLinux
